queue-config = {
  top-queue = {
    class = "com.tzld.piaoquan.recommend.server.framework.merger.SimpleMergeQueue"
    children = {
      region-hot-queue = {
        class = "com.tzld.piaoquan.recommend.server.framework.merger.SimpleMergeQueue"
        children = {
          region1h-index = {
            class = "com.tzld.piaoquan.recommend.server.implement.candidate.Region1hHotCandidate"
          }
          region3h-index = {
            class = "com.tzld.piaoquan.recommend.server.implement.candidate.Region3hHotCandidate"
          }
          region24h-index = {
            class = "com.tzld.piaoquan.recommend.server.implement.candidate.Region24hHotCandidate"
          }
        }
      }
      global-hot-queue = {
          class = "com.tzld.piaoquan.recommend.server.framework.merger.SimpleMergeQueue"
          children = {
            global1h-index = {
                class = "com.tzld.piaoquan.recommend.server.implement.candidate.Global1hHotCandidate"
            }
            global3h-index = {
                class = "com.tzld.piaoquan.recommend.server.implement.candidate.Global3hHotCandidate"
            }
            global24h-index = {
                class = "com.tzld.piaoquan.recommend.server.implement.candidate.Global24hHotCandidate"
            }
         }
      }
    }
  }
}

rule-config = {
  // 顶层队列
  top-queue = {
    merge-rule = {
      global-hot-queue = {
        recall-percentage = 0.5
        max-merge-num = 400
        priority = 1
      }
      region-hot-queue = {
        recall-percentage = 0.5
        max-merge-num = 400
        priority = 1
      }
    }
  }

  // 全局热门队列
  global-hot-queue = {
    merge-rule = {
      global1h-index = {
        recall-percentage = 0.3
        max-merge-num = 200
      }
      global3h-index = {
        recall-percentage = 0.3
        max-merge-num = 200
      }
      global24h-index = {
        recall-percentage = 0.3
        max-merge-num = 200
      }
    }
  }


  region-hot-queue = {
    merge-rule = {
      region1h-index = {
        recall-percentage = 0.3
        max-merge-num = 200

      }
      region3h-index = {
        recall-percentage = 0.3
        max-merge-num = 200
      }
      region24h-index = {
        recall-percentage = 0.3
        max-merge-num = 200
      }
    }
  }

}